package com.zanxiang.game.data.serve.service.impl;

import com.zanxiang.game.data.serve.pojo.dto.*;
import com.zanxiang.game.data.serve.pojo.vo.*;
import com.zanxiang.game.data.serve.service.IPitcherDataService;
import com.zanxiang.game.data.serve.utils.Page;
import lombok.extern.slf4j.Slf4j;
import org.nutz.dao.Dao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author tianhua
 * @time 2023/8/15
 * @Description 投手数据接口逻辑处理
 **/
@Service
@Slf4j
public class PitcherDataServiceImpl implements IPitcherDataService {

    @Autowired
    private Dao dao;

    /**
     * 投手每日数据
     * @param dto PitcherDataDayDTO
     * @return Page<PitcherDataDayVO>
     */
    @Override
    public Page<PitcherDataDayVO> getPitcherDataDay(PitcherDataDayDTO dto) {
        return null;
    }

    /**
     * 投手每日数据总计
     * @param dto PitcherDataDayTotalDTO
     * @return PitcherDataDayTotalVO
     */
    @Override
    public PitcherDataDayTotalVO getPitcherDataDayTotal(PitcherDataDayTotalDTO dto) {
        return null;
    }

    /**
     * 投手总数据
     * @param dto PitcherDataTotalDTO
     * @return Page<PitcherDataTotalVO>
     */
    @Override
    public Page<PitcherDataTotalVO> getPitcherDataTotal(PitcherDataTotalDTO dto) {
        return null;
    }

    /**
     * 投手总数据总计
     * @param dto PitcherDataTotalSumDTO
     * @return PitcherDataTotalSumVO
     */
    @Override
    public PitcherDataTotalSumVO getPitcherDataTotalSum(PitcherDataTotalSumDTO dto) {
        return null;
    }

    /**
     * 投手游戏每日数据
     * @param dto PitcherGameDataDayDTO
     * @return Page<PitcherGameDataDayVO>
     */
    @Override
    public Page<PitcherGameDataDayVO> getPitcherGameDataDay(PitcherGameDataDayDTO dto) {
        return null;
    }

    /**
     * 投手游戏每日数据总计
     * @param dto PitcherGameDataDayTotalDTO
     * @return PitcherGameDataDayTotalVO
     */
    @Override
    public PitcherGameDataDayTotalVO getPitcherGameDataDayTotal(PitcherGameDataDayTotalDTO dto) {
        return null;
    }

    /**
     * 投手游戏总数据
     * @param dto PitcherGameDataTotalDTO
     * @return Page<PitcherGameDataTotalVO>
     */
    @Override
    public Page<PitcherGameDataTotalVO> getPitcherGameDataTotal(PitcherGameDataTotalDTO dto) {
        return null;
    }

    /**
     * 投手游戏总数据总计
     * @param dto PitcherGameDataTotalSumDTO
     * @return PitcherGameDataTotalSumVO
     */
    @Override
    public PitcherGameDataTotalSumVO getPitcherGameDataTotalSum(PitcherGameDataTotalSumDTO dto) {
        return null;
    }

}
